<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <meta name="generator" content="HTML Tidy, see www.w3.org">

    <title>Simple Z39.50 OPAC</title>
<style type="text/css">
      input {
        font-size: 2em;
        border: 2px solid red;
        width: 90%;
        text-align: center;
      }
      input:hover, input:focus{border-color: blue;}
      span.num_of_results{
        font-size: 2em;
      }
      body {
      text-align: center;
      }
      div.record {
        text-align: left;
        border-bottom: 2px dotted black;
        width: 75%;
        margin: auto;
        margin-bottom: 3px;
        padding: 10px;
      }
      a {text-decoration: none;}
      a:hover {color: red; text-decoration:underline;}
      a.direction {
        font-size: 1.5em;
        color: red;
        text-decoration: none;
        border: 3px solid white;
        margin: 5px;
        padding: 5px;
      }
      a.direction:hover, a.direction:focus {
        color: blue;
        border: 3px solid blue;
      }
      .set_number{font-size: 1.2em; margin: 0px 10px 10px 0px;}
      .change_per_page{clear:both;}
      .change_per_page:hover, .change_per_page:focus{font-size: 1.1em;text-decoration:none;}
      div#back_next{clear:both;}
      div#back{float: left;margin: 0px, 15px, 0px, 15px;}
      div#next{float: right;}
      div#page_length{clear: both;}
      
      div.result_stats{float:left;clear:both;}
      div#records_found{float: left;padding: 0px 15px 0px 15px;border: 1px solid white;}
      div#time_to_process{float: right;padding: 0px 15px 0px 15px;border: 1px solid white;}
</style>
<script type="text/javascript">
function toggleLayer( whichLayer )
{
  var elem, vis;
  if( document.getElementById ) // this is the way the standards work
    elem = document.getElementById( whichLayer );
  else if( document.all ) // this is the way old msie versions work
      elem = document.all[whichLayer];
  else if( document.layers ) // this is the way nn4 works
    elem = document.layers[whichLayer];
  vis = elem.style;
  // if the style.display value is blank we try to figure it out here
  if(vis.display==''&&elem.offsetWidth!=undefined&&elem.offsetHeight!=undefined)
    vis.display = (elem.offsetWidth!=0&&elem.offsetHeight!=0)?'block':'none';
  vis.display = (vis.display==''||vis.display=='block')?'none':'block';
}
</script>
  </head>

  <body>
    <h1>Simple Rails OPAC</h1>
    Search a zebra database of 250,000+ MARCXML records. 

    <!-- <form action="/opac/search" > -->
    <% form_tag( { :controller => 'opac', :action => 'search' },
          { :method => :get } ) do -%>
       <input type='hidden' name='start' value="<%= @start - @per_page <= 1 ? 1 : @start - @per_page %>"/>
       <input type='hidden' name='per_page' value="<%= @per_page%>"/>
     <br>
      <%= text_field_tag "term", @data %>
          <script type="text/javascript">
            document.getElementById('term').focus();
          </script>
    <% end %>
          
    
      <div class="result_stats">
    <div id="records_found">Number of records found: <span class="num_of_results"><%= @rset_size %></span></div>    
    <div id="time_to_process" >Time to process results: <span class="num_of_results"><%= @time_difference %></span></div></div> 
    
    <div id="back_next">
     <% unless @start <= 1 %><div id="back"><%= link_to "BACK",  {:controller => "/opac/search", :term => "#{@data}", :start => "#{@start - @per_page < 1 ? 1 : @start - @per_page}", :per_page => @per_page}, :class => "direction" %></div><% end %> 
     
     <% unless @start + @per_page >= @rset_size -%>
     <div id="next"><%= link_to "NEXT", {:controller => "/opac/search", :term => "#{@data}", :start => "#{@start + @per_page}", :per_page => @per_page}, :class => "direction" %></div>
     <% end %> 
    </div>
     
    <%unless @total_records.nil?%><div id="page_length">Per page: 
    <%[10, 25, 50, 100, 200].each do |num| %>
    <%= link_to "#{num}",{:controller =>"/opac/search",:term => "#{@data}", :start => @start, :per_page => num }, :class=>"change_per_page" %>
     <%end%></div><%end%>
     
    
     <% i = @start%>
     <% unless @rset_size == 0 %> 
     <% @total_records.each do |rec| %> 
     
    <div class="record">
      <span class="set_number"><%= i %></span> <%= link_to "#{rec['245']['a']}", :controller => "opac/record", :per_page=>@per_page, :r => "#{rec['901']['a']}", :term => "#{@data}", :start => @start %> <%=  "#{rec['245']['b'] }"  if rec['245']['b'] %> <%= "#{rec['245']['c']}" if rec['245']['c'] %> <%= "#{rec['260']['c'] }" if rec['260'] && rec['260']['c'] %>
      
    </div>
    <% i += 1 %><%end%>.
    <br>
    <% unless @start <= 1 %><%= link_to "BACK",  {:controller => "/opac/search", :term => "#{@data}", :start => "#{@start - @per_page < 1 ? 1 : @start - @per_page}", :per_page => @per_page}, :class => "direction" %><% end %> 
     <% unless @start + @per_page >= @rset_size -%>
     <%= link_to "NEXT", {:controller => "/opac/search", :term => "#{@data}", :start => "#{@start + @per_page}", :per_page => @per_page}, :class => "direction" %><% end %> 
    <br><%end%> 
  </body>
</html>


